org.apache.http.impl.client

## Class DefaultClientConnectionReuseStrategy

- java.lang.Object
- - org.apache.http.impl.DefaultConnectionReuseStrategy
  - - org.apache.http.impl.client.DefaultClientConnectionReuseStrategy

- All Implemented Interfaces:
    org.apache.http.ConnectionReuseStrategy

      public class DefaultClientConnectionReuseStrategy
      extends org.apache.http.impl.DefaultConnectionReuseStrategy

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultClientConnectionReuseStrategy` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClientConnectionReuseStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `keepAlive(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)`

    - ### Methods inherited from class org.apache.http.impl.DefaultConnectionReuseStrategy

      `createTokenIterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultClientConnectionReuseStrategy INSTANCE

  - ### Constructor Detail

    - #### DefaultClientConnectionReuseStrategy

          public DefaultClientConnectionReuseStrategy()

  - ### Method Detail

    - #### keepAlive

          public boolean keepAlive(org.apache.http.HttpResponse response,
                          org.apache.http.protocol.HttpContext context)

      Specified by:
        `keepAlive` in interface `org.apache.http.ConnectionReuseStrategy`
      Overrides:
        `keepAlive` in class `org.apache.http.impl.DefaultConnectionReuseStrategy`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.